<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? "StepTool" : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= # simple_form_for(@step_tool, remote: true) do |f|
    simple_form_for(@step_tool, url: meth_step_tool_path(@step_tool), remote: true) do |f|
  %>
  <div class="modal-body">
    <%= f.error_notification %>
    <%= f.error_notification message: f.object.errors[:base].to_sentence if f.object.errors[:base].present? %>

    <div class="form-inputs">
      <% Meth::StepTool.locale_columns(:name).each do |column| %>
        <%= f.input column %>
      <% end %>
      <% if @step_tool.tool.tool_name == 'Generic' %>
        <%#= f.input :generic_file, as: :file %>
        <div class="form-group row">
          <%= f.label :generic_file, class: 'col-sm-3 col-form-label select required' %>
          <div class='col-sm-9'>
            <% if @step_tool.generic_file&.attached? %>
              <p><b>Filename : </b><%= @step_tool.generic_file.filename %></p>
            <% end %>
            <%= f.file_field :generic_file, class: 'form-control' + (f.object.errors[:generic_file]&.size>0 ? " is-invalid" : "") %>
            <div class='invalid-feedback'><%= f.object.errors[:generic_file]&.to_sentence %></div>
          </div>
        </div>
      <% end %>

      <%= f.input :tool_reference %>
      <%= f.input :tool_num %>

      <hr>
      <p><label for="">Options</label></p>
      <%#= f.input :tool_options, as: :text, input_html: { rows: 5 , style: 'width: 100%'} %>
      <%#= f.simple_fields_for :tool_options, OpenStruct.new(@step_tool.tool_options) do |foptions| %>
      
      <% tool_options_keys = Meth::StepTool.get_tool_options_keys
         tool_options_keys[@step_tool.tool.tool_name.intern]&.each do |key| %>
      <%# Meth::StepTool::TOOL_OPTIONS_KEYS[@step_tool.tool.tool_name.intern]&.each do |key| %>
        <div class="row">
          <%= label_tag @step_tool.tool_option_string(key[:keys]), nil, class: 'col-sm-6 col-form-label select required' %>
          <div class='col-sm-6'>
            <%= helper_tool_options_field(@step_tool, key) %>
          </div>
        </div>
        <br>
      <% end %>

      <!-- <hr> -->
      <%#= f.label :description, input_html: { class: 'form-control-sm'} %>
      <%#= f.rich_text_area :description, input_html: { class: 'form-control-sm'} %>
    </div>
  </div>

  <div class="modal-footer">
    <div class="form-group">
       <%= f.button :submit, class: "btn btn-outline-warning" %>
  </div>
<% end %>
